use "$data\data.dta", clear
* Missing values
replace fatalive=2 if fatalive==.
replace matalive=2 if matalive==.
replace educ=4 if educ==.
sum pgbilzeit, detail
replace pgbilzeit=r(mean) if eduyears_mis==1
replace fatclass=5 if fatclass==.
replace urbanization=5 if urbanization==.
sum motagebirth, detail
replace motagebirth=r(mean) if motagebirth==.
replace fatedu=4 if fatedu==.
replace motedu=4 if motedu==.
replace divorpar=2 if divorpar==.
gen mothealth_mis=0
replace mothealth_mis=1 if immothealthnew==.
sum immothealthnew, detail
replace immothealthnew=r(mean) if immothealthnew==.
gen fathealth_mis=0
replace fathealth_mis=1 if imfathealth==.
sum imfathealth, detail
replace imfathealth=r(mean) if imfathealth==.
replace urbanization=5 if urbanization==0


keep sex sexsib1 imfathealth immothealthnew mothealth_mis fathealth_mis year y y2 y3 y4 y5 child persnr sib sex year fatedu motedu divorpar mothealthsat motimpmarry motimpchild fathealthsat fatimpmarry fatimpchild fatalive matalive educ pgbilzeit fatclass urbanization motagebirth ageatfjob fatedu motedu age marsta2 sibchild12 sibchild24 sibchild36 sibchild48 sibmarry12 sibmarry24 sibmarry36 sibmarry48 sibdivorce12 sibdivorce24 sibdivorce36 sibdivorce48 sibship migrant intact east agedif cohort motimmothealth motimimpmarry eduyears_mis motagebirth_mis sibchild36more sibmarry36more sibdivorce36more sibcohab12 sibcohab24 sibcohab36 sibcohab36more

grstyle init
grstyle color background white
grstyle color major_grid dimgray
grstyle linewidth major_grid thin
grstyle yesno draw_major_hgrid yes
grstyle yesno grid_draw_min yes
grstyle yesno grid_draw_max yes
grstyle anglestyle vertical_tick horizontal

* Transition to parenthood
mecloglog y c.age##c.age i.sibchild i.sibchild36more i.sibmarry i.sibmarry36more i.sibdivorce i.sibdivorce36more, vce(cluster sib) || persnr:
estimates store F1
mecloglog y c.age##c.age i.sibchild i.sibchild36more i.sibmarry i.sibmarry36more i.sibdivorce i.sibdivorce36more i.marsta2 i.sibship fatalive matalive i.educ pgbilzeit migrant i.fatclass i.urbanization intact motagebirth east eduyears_mis motagebirth_mis mothealth_mis fathealth_mis agedif i.cohort i.fatedu i.motedu i.divorpar imfathealth immothealthnew i.year, vce(cluster sib) || persnr:
estimates store F2
* Figure 1 Estimated coefficients for the transition to parenthood
coefplot F1 F2, title("Transition to Parenthood") headings(1.sibchild = "{bf:Sibling became parent within}" 1.sibmarry = "{bf:Sibling got married within}" 1.sibdivorce = "{bf:Sibling got divorced within}")xline(0) keep(1.sibchild 1.sibchild36more 1.sibmarry 1.sibmarry36more 1.sibdivorce 1.sibdivorce36more) coeflabels(1.sibchild="0 - 3 years" 1.sibchild36more="more than 3 years ago" 1.sibmarry="0 - 3 years" 1.sibmarry36more="more than 3 years ago" 1.sibdivorce="0 - 3 years" 1.sibdivorce36more="more than 3 years ago")


* Transition to marriage
mecloglog y2 c.age##c.age i.sibchild i.sibchild36more i.sibmarry i.sibmarry36more i.sibdivorce i.sibdivorce36more, vce(cluster sib) || persnr:
estimates store M1
mecloglog y2 c.age##c.age i.sibchild i.sibchild36more i.sibmarry i.sibmarry36more i.sibdivorce i.sibdivorce36more child i.sibship fatalive matalive i.educ pgbilzeit migrant i.fatclass i.urbanization intact motagebirth east eduyears_mis motagebirth_mis agedif i.cohort i.fatedu i.motedu i.divorpar i.year, vce(cluster sib) || persnr:
estimates store M2
* Figure 2 Estimated coefficients for the transition to marriage
coefplot M1 M2, title("Transition to Marriage") headings(1.sibchild = "{bf:Sibling became parent within}" 1.sibmarry = "{bf:Sibling got married within}" 1.sibdivorce = "{bf:Sibling got divorced within}")xline(0) keep(1.sibchild 1.sibchild36more 1.sibmarry 1.sibmarry36more 1.sibdivorce 1.sibdivorce36more) coeflabels(1.sibchild="0 - 3 years" 1.sibchild36more="more than 3 years ago" 1.sibmarry="0 - 3 years" 1.sibmarry36more="more than 3 years ago" 1.sibdivorce="0 - 3 years" 1.sibdivorce36more="more than 3 years ago")

* Transition to divorce
mecloglog y3 c.age##c.age i.sibchild i.sibchild36more i.sibmarry i.sibmarry36more i.sibdivorce i.sibdivorce36more, vce(cluster sib) || persnr:
estimates store D1
mecloglog y3 c.age##c.age i.sibchild i.sibchild36more i.sibmarry i.sibmarry36more i.sibdivorce i.sibdivorce36more child i.sibship fatalive matalive i.educ pgbilzeit migrant i.fatclass i.urbanization intact motagebirth east eduyears_mis motagebirth_mis agedif i.cohort i.fatedu i.motedu i.divorpar i.year, vce(cluster sib) || persnr:
estimates store D2
* Figure 3 Estimated coefficients for the transition to divorce
coefplot D1 D2, title("Transition to Divorce") headings(1.sibchild = "{bf:Sibling became parent within}" 1.sibmarry = "{bf:Sibling got married within}" 1.sibdivorce = "{bf:Sibling got divorced within}")xline(0) keep(1.sibchild 1.sibchild36more 1.sibmarry 1.sibmarry36more 1.sibdivorce 1.sibdivorce36more) coeflabels(1.sibchild="0 - 3 years" 1.sibchild36more="more than 3 years ago" 1.sibmarry="0 - 3 years" 1.sibmarry36more="more than 3 years ago" 1.sibdivorce="0 - 3 years" 1.sibdivorce36more="more than 3 years ago")



* Table 2 Survival rate and estimated births, marriages, and divorces associated with social interaction effects
* Childbearing
stset age, fail(y) id(persnr)
gen sibchildlong=0
replace sibchildlong=1 if sibchild==1 | sibchild36more==1
gen sibmarrylong=0
replace sibmarrylong=1 if sibmarry==1 | sibmarry36more==1
gen sibdivorcelong=0
replace sibdivorcelong=1 if sibdivorce==1 | sibdivorce36more==1
stset age, fail(y) id(persnr) exit(time 40)
stcox i.sibchildlong i.sibmarrylong i.sibdivorcelong i.marsta2 fatalive matalive i.educ pgbilzeit migrant i.fatclass i.sibship i.urbanization intact motagebirth east eduyears_mis motagebirth_mis agedif i.cohort i.fatedu i.motedu i.divorpar, vce(cluster sib)

stcurve, survival at1(sibchildlong=0) at2(sibchildlong=1) outfile(parent_parent, replace)
stcurve, survival at1(sibmarrylong=0) at2(sibmarrylong=1) outfile(parent_marriage, replace)
stcurve, survival at1(sibdivorcelong=0) at2(sibdivorcelong=1) outfile(parent_divorce, replace)

* Marriage
stset age, fail(y2) id(persnr) exit(time 40)
stcox i.sibchildlong i.sibmarrylong i.sibdivorcelong i.child fatalive matalive i.educ pgbilzeit migrant i.fatclass i.sibship i.urbanization intact motagebirth east eduyears_mis motagebirth_mis mothealth_mis fathealth_mis agedif i.cohort i.fatedu i.motedu i.divorpar, vce(cluster sib)

stcurve, survival at1(sibmarrylong=0) at2(sibmarrylong=1) outfile(marry_marry, replace)
stcurve, survival at1(sibchildlong=0) at2(sibchildlong=1) outfile(marry_parent, replace)
stcurve, survival at1(sibdivorcelong=0) at2(sibdivorcelong=1) outfile(marry_divorce, replace)

* Divorce
keep if y3!=.
sort persnr age
bysort persnr : gen durdivorce=_n

stset durdivorce, fail(y3) id(persnr) exit(time 20)
stcox c.age##c.age i.sibchildlong i.sibmarrylong i.sibdivorcelong i.child fatalive matalive i.educ pgbilzeit migrant i.fatclass i.sibship i.urbanization intact motagebirth east eduyears_mis motagebirth_mis agedif i.cohort i.fatedu i.motedu i.divorpar, vce(cluster sib)
stcurve, survival at1(sibmarrylong=0) at2(sibmarrylong=1) outfile(divorce_marry, replace)
stcurve, survival at1(sibchildlong=0) at2(sibchildlong=1) outfile(divorce_parent, replace)
stcurve, survival at1(sibdivorcelong=0) at2(sibdivorcelong=1) outfile(divorce_divorce, replace)

* Table A1 Overview of the control variables
tab y
tab y2
tab y3
tab marsta2
tab child
tab educ
sum pgbilzeit
tab sibship
tab fatedu
tab motedu
tab intact
tab fatclass
tab fathealthsat
tab mothealthsat
tab divorpar
tab cohort
tab urbanization
sum motagebirth
tab east
* Table A2 Discrete-time event history models for transition to childbearing, marriage, and divorce (without controls)
esttab F1 M1 D1 using tablea2.rtf, b(3) se(3) replace

* Table A3 Discrete-time event history models for transition to childbearing, marriage, and divorce with year fixed-effects
esttab F2 M2 D2 using tablea2.rtf, b(3) se(3) replace

* Table A4 Survival rate and estimated births, marriages, and divorces associated with social interaction effects
* Childbearing
stset age, fail(y) id(persnr)
gen sibchildlong=0
replace sibchildlong=1 if sibchild==1 | sibchild36more==1
gen sibmarrylong=0
replace sibmarrylong=1 if sibmarry==1 | sibmarry36more==1
gen sibdivorcelong=0
replace sibdivorcelong=1 if sibdivorce==1 | sibdivorce36more==1
stset age, fail(y) id(persnr) exit(time 40)
stcox i.sibchildlong i.sibmarrylong i.sibdivorcelong i.marsta2 fatalive matalive i.educ pgbilzeit migrant i.fatclass i.sibship i.urbanization intact motagebirth east eduyears_mis motagebirth_mis agedif i.cohort i.fatedu i.motedu i.divorpar i.year, vce(cluster sib)

stcurve, survival at1(sibchildlong=0) at2(sibchildlong=1) outfile(parent_parent, replace)
stcurve, survival at1(sibmarrylong=0) at2(sibmarrylong=1) outfile(parent_marriage, replace)
stcurve, survival at1(sibdivorcelong=0) at2(sibdivorcelong=1) outfile(parent_divorce, replace)

* Marriage
stset age, fail(y2) id(persnr) exit(time 40)
stcox i.sibchildlong i.sibmarrylong i.sibdivorcelong i.child fatalive matalive i.educ pgbilzeit migrant i.fatclass i.sibship i.urbanization intact motagebirth east eduyears_mis motagebirth_mis mothealth_mis fathealth_mis agedif i.cohort i.fatedu i.motedu i.divorpar i.year, vce(cluster sib)

stcurve, survival at1(sibmarrylong=0) at2(sibmarrylong=1) outfile(marry_marry, replace)
stcurve, survival at1(sibchildlong=0) at2(sibchildlong=1) outfile(marry_parent, replace)
stcurve, survival at1(sibdivorcelong=0) at2(sibdivorcelong=1) outfile(marry_divorce, replace)

* Divorce
keep if y3!=.
sort persnr age
bysort persnr : gen durdivorce=_n

stset durdivorce, fail(y3) id(persnr) exit(time 20)
stcox c.age##c.age i.sibchildlong i.sibmarrylong i.sibdivorcelong i.child fatalive matalive i.educ pgbilzeit migrant i.fatclass i.sibship i.urbanization intact motagebirth east eduyears_mis motagebirth_mis agedif i.cohort i.fatedu i.motedu i.divorpar i.year, vce(cluster sib)
stcurve, survival at1(sibmarrylong=0) at2(sibmarrylong=1) outfile(divorce_marry, replace)
stcurve, survival at1(sibchildlong=0) at2(sibchildlong=1) outfile(divorce_parent, replace)
stcurve, survival at1(sibdivorcelong=0) at2(sibdivorcelong=1) outfile(divorce_divorce, replace)
